#include <iostream>
using namespace std;
#define endl "\n"

int aps(int x)
{
  if(x > 0)
    return x;
  else
    return -x;
}

int main()
{
  int x1, y1, x2, y2;
  cin >> x1 >> y1;
  cin >> x2 >> y2;
  if(x1 == x2 || y1 == y2)
  {
    cout << 2 << endl;
  }
  else
  {
    if(aps(x1-x2) == aps(y1 - y2))
    {
      cout << 1 << endl;
    }
    else
      cout << 0 << endl;
  }
  return 0;
}